<template lang="pug">
.page-cont
  .page-header.page-header--light(v-observe-visibility="visibilityChanged")
    .page-header__img(v-if="image")
      .page-header__img-line
      img(:src="image" alt="")

    .container
      .page-header__go-back(v-if="hasPrevPage")
        span(
          @click="$router.back()"
        ) {{ $t('forms.buttons.back') }}

      h1.page-header__title(v-if="title")
        div(v-html="title")

  section.section.services-section.services-section--single
    .section__inner.services-section__inner
      .container
        .section-heading.section-heading--flex.section-heading--white.section-heading--mb-lg.services-section__heading(
          v-if="content_title || content_1"
        )
          h2.section-heading__title.section-heading__title--large.services-section__title(v-if="content_title")
            div(v-html="content_title")
          .section-heading__descr.html-block(v-if="content_1" v-html="content_1")

        .service-info(v-if="content_2 || content_3 || (content_button_caption && content_button_link)")
          .service-info__left
            .service-info__text.html-block(v-if="content_2" v-html="content_2")

          .service-info__right(v-observe-visibility="visibilityChanged")
            .service-info__lines
              span
              span
            .service-info__text.html-block(v-if="content_3" v-html="content_3")

            a.btn(
              v-if="content_button_caption && content_button_link && content_button_link.indexOf('http') === 0"
              :href="content_button_link"
              target="_blank"
              rel="nofollow"
            ) {{ content_button_caption }}
            nuxt-link.btn(
              v-else-if="content_button_caption && content_button_link"
              :to="content_button_link"
            ) {{ content_button_caption }}

        .service.service--three-img(v-observe-visibility="visibilityChanged")
          .service__lines(v-if="theme === 'jetunity'")
            span
            span
            span
            span

          .service__images.service__images--three-img(
            v-if="services_image_1 || services_image_2 || services_image_3"
          )
            .service__image(v-if="services_image_1")
              img(:src="services_image_1" alt="")
            .service__image(v-if="services_image_2")
              img(:src="services_image_2" alt="")
            .service__image(v-if="services_image_3")
              img(:src="services_image_3" alt="")

          .service__text(v-if="services_description_title || services_description_content")
            .service__text-line(v-if="theme === 'jetunity'")
              span

            a.service__title(
              v-if="services_description_title && services_description_title_link && services_description_title_link.indexOf('http') === 0"
              :href="services_description_title_link"
              rel="nofollow"
              target="_blank"
            ) {{ services_description_title }}

            nuxt-link.service__title(
              v-else-if="services_description_title && services_description_title_link"
              :to="services_description_title_link"
            ) {{ services_description_title }}

            .service__title(
              v-else-if="services_description_title"
            ) {{ services_description_title }}

            .service__descr.html-block.html-block--white(
              v-if="services_description_content"
              v-html="services_description_content"
            )

  features-section(
    v-if="show_features"
    :features="features"
    :title="features_title"
    large-title
  )
</template>

<script>
import { pageMixin } from '@/mixins/pages'
import { visibilityMixin } from '@/mixins/visibility'
import PerfectScrollbar from 'perfect-scrollbar'
import { fetchPage } from '@/utils/asyncPages'
import API from '@/api'
import { hasPrevPageMixin } from '@/mixins/has-prev-page'
import config from '@/config'

export default {
  name: 'ServicePage',

  async asyncData ({ app, error, params }) {
    return fetchPage(app, error, API.services.service(params.slug))
  },

  data () {
    return {
      theme: config.theme
    }
  },

  methods: {
    initScrollbars () {
      const els = document.querySelectorAll('.service-info__text')

      if (els.length) {
        [...els].forEach(el => {
          const ps = new PerfectScrollbar(el)
        })
      }
    }
  },

  mounted () {
    if (process.browser && typeof (window) !== 'undefined') {
      this.initScrollbars()
    }
  },

  mixins: [hasPrevPageMixin, pageMixin, visibilityMixin],

  validate ({ params }) {
    return !!params.slug
  }
}
</script>
